# Class ResourceId

java.lang.Object
com.databricks.jdbc.dbclient.impl.thrift.ResourceId

public class ResourceId extends Object
Utility class to handle UUIDs used in Thrift identifiers.

## Method Summary

Modifier and Type
Method
Description
`static ResourceId`
`fromBase64(String str)`
`static ResourceId`
`fromBytes(byte[] bytes)`
`byte[]`
`toBytes()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### fromBytes

public static ResourceId fromBytes(byte[] bytes)

### fromBase64

public static ResourceId fromBase64(String str)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toBytes

public byte[] toBytes()